<?php
include '../koneksi.php';

if (isset($_GET['id'])) {
  $slug = trim($_GET['id']); // Ambil slug dari URL

  // Query untuk mengambil artikel berdasarkan slug
  $query = "
      SELECT a.*, s.katakunci_seo, s.deskripsi_seo
      FROM detail_artikel a 
      LEFT JOIN seo_artikel s ON a.id_seo_artikel = s.id_seo_artikel 
      WHERE a.slug = ?";
  $stmt = $conn->prepare($query);
  $stmt->bind_param("s", $slug); // Menggunakan "s" untuk string
  $stmt->execute();
  $result = $stmt->get_result();

  // Cek apakah artikel ditemukan
  if ($result->num_rows > 0) {
      $row = $result->fetch_assoc();
  } else {
      header("Location: ../blog");
      exit();
  }
} else {
  header("Location: ../blog");
  exit();
}

$queryartikel = "SELECT * FROM detail_artikel ORDER BY tanggal DESC LIMIT 5"; 
$result = $conn->query($queryartikel);

?>


<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title><?= htmlspecialchars($row['judul_artikel']); ?> | Portal UMKM</title>
  <meta content="<?= htmlspecialchars($row['deskripsi_seo']); ?>" name="description">
  <meta content="<?= htmlspecialchars($row['katakunci_seo']); ?>" name="keywords">
  <meta name="author" content="Portal UMKM">
  <meta name="robots" content="index, follow">
  <link rel="canonical" href="https://portalumkm.com/blog/<?= htmlspecialchars($row['slug']); ?>">

  <meta name="google-site-verification" content="e9f6S8EGZWNTqWTr7HenznoRKYDMXP6VPmjjcpqOZPU" />
  <meta name="msvalidate.01" content="7FD794BF2AAC41A7F1D8248099D2ED62" />
  <meta name="yandex-verification" content="d49629d3a04a87f2" />

  <!-- Open Graph Meta Tags (Untuk berbagi di media sosial) -->
  <meta property="og:title" content="<?= htmlspecialchars($row['judul_artikel']); ?> | Portal UMKM">
  <meta property="og:description" content="<?= htmlspecialchars($row['deskripsi_seo']); ?>">
  <meta property="og:image" content="https://portalumkm.com/uploads/artikel/<?= htmlspecialchars($row['gambar_artikel']); ?>">
  <meta property="og:url" content="https://portalumkm.com/blog/<?= htmlspecialchars($row['slug']); ?>">
  <meta property="og:type" content="website">

  <!-- Twitter Card Meta Tags -->
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="<?= htmlspecialchars($row['judul_artikel']); ?> | Portal UMKM">
  <meta name="twitter:description" content="<?= htmlspecialchars($row['deskripsi_seo']); ?>">
  <meta name="twitter:image" content="https://portalumkm.com/uploads/artikel/<?= htmlspecialchars($row['gambar_artikel']); ?>">

  <!-- Favicons -->
  <link href="../assets/img/favicon.png" rel="icon">
  <link href="../assets/img/apple-touch-icon.png" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="../assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="../assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../assets/css/style.css" rel="stylesheet">

</head>

<body>

  <!-- ======= Header ======= -->
  <header id="header" class="header fixed-top">
    <div class="container-fluid container-xl d-flex align-items-center justify-content-between">

      <a href="/" class="logo d-flex align-items-center">
        <img src="../assets/img/logo.png" alt="Portal UMKM">
        <span>Portal UMKM</span>
      </a>

      <nav id="navbar" class="navbar">
          <ul>
            <li><a class="nav-link scrollto" href="/#beranda">Beranda</a></li>
            <li><a class="nav-link scrollto" href="/#keunggulan">Keunggulan</a></li>
            <li><a class="nav-link scrollto" href="/#langkah">Langkah Memulai</a></li>
            <li><a class="nav-link scrollto" href="/#pertanyaan">Pertanyaan</a></li>
            <li><a class="active" href="/blog">Blog</a></li>
            <li><a class="getstarted scrollto" href="../login">Masuk</a></li>
            <!--<li id="google_translate_element"  title="Ubah Bahasa" class="ms-3"></li>-->
          </ul>
          <i class="bi bi-list mobile-nav-toggle"></i>
        </nav><!-- .navbar -->

    </div>
  </header><!-- End Header -->

  <main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section class="breadcrumbs">
      <div class="container">

        <ol>
          <li><a href="/">Beranda</a></li>
          <li><a href="../blog">Blog</a></li>
          <li><a href="<?= htmlspecialchars($row['slug']); ?>"><?= htmlspecialchars($row['judul_artikel']); ?></a></li>
        </ol>

      </div>
    </section><!-- End Breadcrumbs -->

    <!-- ======= Blog Single Section ======= -->
    <section id="blog" class="blog">
      <div class="container">

        <div class="row">

          <div class="col-lg-8 entries">

            <article class="entry entry-single">

              <div class="entry-img">
                <img src="../uploads/artikel/<?= htmlspecialchars($row['gambar_artikel']); ?>" alt="<?= htmlspecialchars($row['judul_artikel']); ?>" title="<?= htmlspecialchars($row['judul_artikel']); ?>" class="img-fluid" style="width: 100%; height: 450px; object-fit: cover;">
              </div>

              <h1 class="entry-title">
                <a href="<?= htmlspecialchars($row['slug']); ?>"><?= htmlspecialchars($row['judul_artikel']); ?></a>
              </h1>

              <div class="entry-meta">
                <ul>
                  <li class="d-flex align-items-center"><i class="bi bi-person"></i>Admin</a></li>
                  <li class="d-flex align-items-center"><i class="bi bi-clock"></i><time datetime="<?= date("d M Y", strtotime($row['tanggal'])); ?>"><?= date("d M Y", strtotime($row['tanggal'])); ?></time></li>
                </ul>
              </div>

              <div class="entry-content">
                  <?= $row['deskripsi_artikel']; ?>
              </div>

              <div class="entry-footer">
                <i class="bi bi-folder"></i>
                <ul class="cats">
                  <li><a href="#"><?= ucwords(strtolower(htmlspecialchars($row['kategori']))); ?></a></li>
                </ul>
              </div>

            </article><!-- End blog entry -->

          </div><!-- End blog entries list -->

          <div class="col-lg-4 px-0">

            <div class="sidebar">
            <h3 class="sidebar-title">Cari</h3>
            <div class="sidebar-item search-form">
                <form action="search.php" method="GET">
                    <input type="text" name="q" placeholder="Cari artikel..." required>
                    <button type="submit"><i class="bi bi-search"></i></button>
                </form>
            </div>

              <h3 class="sidebar-title">Artikel Terbaru</h3>
              <div class="sidebar-item recent-posts">

              <?php while ($row = $result->fetch_assoc()) { ?>
                  <div class="post-item clearfix">
                      <a href="../blog/<?= htmlspecialchars($row['slug']); ?>">
                        <img src="../uploads/artikel/<?= !empty($row['gambar_artikel']) ? htmlspecialchars($row['gambar_artikel']) : ''; ?>" alt="<?= htmlspecialchars($row['judul_artikel']); ?>">
                        <h4><?= htmlspecialchars($row['judul_artikel']); ?></h4>
                        <time datetime="<?= $row['tanggal']; ?>"><?= date("d M Y", strtotime($row['tanggal'])); ?></time>
                      </a>
                  </div>
              <?php } ?>

              </div><!-- End sidebar recent posts-->

            </div><!-- End sidebar -->

          </div><!-- End blog sidebar -->

        </div>

      </div>
    </section><!-- End Blog Single Section -->

  </main><!-- End #main -->

 <!-- ======= Footer ======= -->
 <footer id="footer" class="footer">

<div class="footer-top">
  <div class="container">
    <div class="row gy-4">
      <div class="col-lg-5 col-md-12 footer-info">
        <a href="/" class="logo d-flex align-items-center">
          <img src="../assets/img/logo.png" alt="Portal UMKM">
          <span>Portal UMKM</span>
        </a>
        <p>PortalUMKM.com adalah platform gratis untuk membuat landing page profesional bagi pelaku UMKM di Indonesia.            </p>
      </div>

      <div class="col-lg-4 col-6 footer-links">
        <h4>Halaman</h4>
        <ul>
          <li><i class="bi bi-chevron-right"></i> <a href="/">Beranda</a></li>
          <li><i class="bi bi-chevron-right"></i> <a href="../blog/">Blog</a></li>
          <li><i class="bi bi-chevron-right"></i> <a href="../blog/syarat-dan-ketentuan">Syarat dan Ketentuan</a></li>            
        </ul>
      </div>

      <div class="col-lg-3 col-md-12 footer-contact text-start">
            <h4 class="mb-3">Kontak</h4>
            <p>
                JL KH Wahid Hasyim
                Jawa Timur, 64483<br>
                Indonesia
            </p>
            <p>
                <strong>WA:</strong> <a href="https://wa.me/6288805517338" class="text-decoration-none text-black">+62 888 0551 7338</a><br>
                <strong>Email:</strong> <a href="mailto:ahmadansori1111@gmail.com" class="text-decoration-none text-black">ahmadansori1111@gmail.com</a>
            </p>
        </div>     
    </div>
  </div>
</div>

<div class="container">
  <div class="copyright">
    &copy; <?php echo date("Y"); ?> <strong><span>Portal UMKM</span></strong>. All Rights Reserved
  </div>
 
</div>
</footer><!-- End Footer -->

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <!-- Vendor JS Files -->
  <script src="../assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>

  <!-- Template Main JS File -->
  <script src="../assets/js/main.js"></script>
  <script src="../assets/js/custom.js"></script>

</body>

</html>